1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

SOLVED Can't start HyperCon.jar

Discussion in 'Software Support' started by Shibby8711, 6 October 2017.

Tags:
  1. Shibby8711

    Shibby8711 New Member

    Messages:
    3
    Hardware:
    RPi3
    Good evening,

    I have a problem with the HyperCon.jar file. The file can not be executed.

    The following error message appears:

    The Java JAR file "HyperCon.jar" could not be opened.
    Check the console for possible error messages.


    The console issues the following:

    Exception in thread "main" java.lang.reflect.InvocationTargetException
    at java.base / jdk.internal.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)
    at java.base / jdk.internal.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl.java:62)
    at java.base / jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl.java:43)
    at java.base / java.lang.reflect.Method.invoke (Method.java:564)
    at org.eclipse.jdt.internal.jarinjarloader.JarRsrcLoader.main (JarRsrcLoader.java:58)
    Caused by: java.lang.StringIndexOutOfBoundsException: String index out of range: 2
    at java.base / java.lang.StringLatin1.charAt (StringLatin1.java:44)
    at java.base / java.lang.String.charAt (String.java:704)
    at org.hyperion.hypercon.JavaVersion.isOKJVMVersion (JavaVersion.java:20)
    at org.hyperion.hypercon.Main.main (Main.java:45)
    ... 5 more


    I can not run the file on windows7 or macOS.

    Current Java versions are installed.

    java version "9"

    Java(TM) SE Runtime Environment (build 9+181)

    Java HotSpot(TM) 64-Bit Server VM (build 9+181, mixed mode)


    Can anyone help me? I just can not get any further. I've been looking for a solution for hours. I did not find anything in this forum.

    Sorry for my bad english :)

    Thanks in advance.
     
  2. Brindosch

    Brindosch Administrator Administrator

    Messages:
    679
    Hardware:
    RPi1/Zero, RPi2, RPi3, +nodeMCU/ESP8266
    Greetings,
    seems to be broken. I will test and report back.

    Best wishes,
    brindosch
     
  3. Shibby8711

    Shibby8711 New Member

    Messages:
    3
    Hardware:
    RPi3
    Thank you. I can start the HyperCon.jar under Ubuntu Mate. Unfortunately, i do have no second Pi to hand.

    I use currently macOS Sierra 10.12.5 (16F73), if you still need the info.
     
  4. Brindosch

    Brindosch Administrator Administrator

    Messages:
    679
    Hardware:
    RPi1/Zero, RPi2, RPi3, +nodeMCU/ESP8266
  5. Shibby8711

    Shibby8711 New Member

    Messages:
    3
    Hardware:
    RPi3
    Great work, it works now :):) thank you very much:thumbsup: